org.cybergarage.upnp.event

## Class SubscriptionResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.upnp.event.SubscriptionResponse

-     public class SubscriptionResponse
      extends HTTPResponse

  Represents a UPnP event subscription response.

  This class extends HTTPResponse to handle GENA (General Event Notification Architecture) subscription responses for UPnP event notifications. It manages the response to SUBSCRIBE and UNSUBSCRIBE requests, including success and error handling.

  Key features:

  - Subscription response status management
  - SID (Subscription ID) header handling
  - Timeout response management
  - Error response generation
  - UPnP server identification

  This class is used by UPnP devices to respond to subscription requests from control points, providing subscription confirmation, timeout information, and error status when necessary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionResponse()`
    `SubscriptionResponse(HTTPResponse httpRes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSID()`
    `long` | `getTimeout()`
    `void` | `setErrorResponse(int code)`
    `void` | `setResponse(int code)`
    `void` | `setSID(String id)`
    `void` | `setTimeout(long value)`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getHeader, getStatusCode, getStatusLineString, isSuccessful, print, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionResponse

          public SubscriptionResponse()

    - #### SubscriptionResponse

          public SubscriptionResponse(HTTPResponse httpRes)

  - ### Method Detail

    - #### getSID

          public String getSID()

    - #### getTimeout

          public long getTimeout()

    - #### setErrorResponse

          public void setErrorResponse(int code)

    - #### setResponse

          public void setResponse(int code)

    - #### setSID

          public void setSID(String id)

    - #### setTimeout

          public void setTimeout(long value)